# PSF-LoginServer - master - net.psforever.ObjectFinalizedException
PSF - LoginServer - master - net.psforever.ObjectFinalizedException
Keywords: PSF LoginServer master net.psforever.ObjectFinalizedException

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package filters
  Definition Classes
    psforever
-  package login
  Definition Classes
    psforever
-  package newcodecs
  Definition Classes
    psforever
-  package objects
  Definition Classes
    psforever
-  package packet
  Definition Classes
    psforever
-  package persistence
  Definition Classes
    psforever
-  package server
  Definition Classes
    psforever
-  package services
  Definition Classes
    psforever
-  package tools
  Definition Classes
    psforever
-  package types
  Definition Classes
    psforever
-  package util
  Definition Classes
    psforever
-  package zones
  Definition Classes
    psforever
- IFinalizable
- ObjectFinalizedException

c

net.psforever

# ObjectFinalizedException

###

#### class ObjectFinalizedException extends Exception

Source
  IFinalizable.scala

Linear Supertypes
Exception, Throwable, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectFinalizedException
2. Exception
3. Throwable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ObjectFinalizedException(msg: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def addSuppressed(arg0: Throwable): Unit
   Definition Classes
     Throwable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def fillInStackTrace(): Throwable
   Definition Classes
     Throwable
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  def getCause(): Throwable
    Definition Classes
      Throwable
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
14.  def getMessage(): String
    Definition Classes
      Throwable
15.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
16.  final def getSuppressed(): Array[Throwable]
    Definition Classes
      Throwable
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def initCause(arg0: Throwable): Throwable
    Definition Classes
      Throwable
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
24.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
25.  def printStackTrace(): Unit
    Definition Classes
      Throwable
26.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped